#
# spec file for package make (Version 3.82)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           make
Url:            http://www.gnu.org/software/make/make.html
License:        GPLv2+
Group:          Development/Tools/Building
Provides:       gmake
PreReq:         %install_info_prereq
AutoReqProv:    on
Version:        3.82
Release:        1
Summary:        GNU make
Source:         make-%version.tar.bz2
Patch2:         make-slowdown-parallelism.diff
Patch3:         make-disable-broken-tests.diff
Patch4:         make-savannah-bug30723-expand_makeflags_before_reexec.diff
Patch5:         make-savannah-bug30612-handling_of_archives.diff
Patch64:        make-library-search-path.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU make command with extensive documentation.

%prep
%setup
%patch2
%patch3 -p1
%patch4
%patch5
if [ %_lib == lib64 ]; then
%patch64
fi

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info
make %{?_smp_mflags}

%check
make check

%install
make DESTDIR=$RPM_BUILD_ROOT install
ln -s make $RPM_BUILD_ROOT/usr/bin/gmake
%find_lang %name

%files -f %name.lang
%defattr(-,root,root)
/usr/bin/make
/usr/bin/gmake
%doc /usr/share/info/make.info-*.gz
%doc /usr/share/info/make.info.gz
%doc /usr/share/man/man1/make.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%changelog
